clear 
use "../Analysis Data/Final_Data.dta"
**********Hausman test and regressions
***Hausman test***
capture drop residuals 
regress length avg_war Nonwhite Age
***this gives us a fitted value for length - TABLE 15*

predict length_residuals, residuals 
***this gives us the residuals here, which is the part of the variation length unexplained by independent vars

*now we run a regression with lnavgannual as the DV and the rest of the regressors, PLUS the residuals from the first regresssion
*if the t value of the residuals variable is significant, there's endogeneity
*second step of Hausman test - TABLE 16*
regress lnavgannual length avg_war Nonwhite length_residuals
**insigificant...i don't need an instrument...t value is 0.07



***OLS - TABLE 17*
regress lnavgannual avg_war Nonwhite length

***2 stage least squares - TABLE 18*

ivregress 2sls lnavgannual avg_war Nonwhite (length=Age)

***wTAKING A CLOSER LOOK***  
*for length greater than 1 year - TABLE 19*
regress lnavgannual length avg_war Nonwhite if length>1

*for tertiles of lnavgannual - TABLE 20, 21, and 22*
regress lnavgannual length avg_war Nonwhite if lnavgannual<=14.845
regress lnavgannual length avg_war Nonwhite if lnavgannual>14.845 & lnavgannual<15.894
regress lnavgannual length avg_war Nonwhite if lnavgannual>15.894

*for tertiles of avg_war - TABLE 23, 24, and 25*
regress lnavgannual length avg_war Nonwhite if avg_war<0.8
regress lnavgannual length avg_war Nonwhite if avg_war>=0.8 & avg_war<=2.03333
regress lnavgannual length avg_war Nonwhite if avg_war>2.03333
